#!/bin/bash
# set terminal pngcairo  transparent enhanced font "arial,10" fontscale 1.0 size 500, 350 
# set output 'histograms.2.png'
out_dir=plots
in_dir=output_test
mode=${1:-"x11"}
plot_id=1

#plot of execution time
function plot_exec_time()
{
    in_file_name=$1
    out_file_name=$2
		title=$3

case $mode in 
    eps)
      printf "  set terminal post eps enhanced color 22 font \"arial,20\" linewidth 2
			  				set output '$out_file_name.eps'
             " > tmp.txt
			options="-mono"
		  ;;
		png)
			printf "  set terminal png enhanced size 700, 350 font \"arial,14\"
                set output '$out_file_name.png'
						 " > tmp.txt
			options="-persist"
			;;
		*)
			printf "  set terminal x11 enhanced size 700, 350 font \"arial,14\"

						 " > tmp.txt
			options="-persist"
esac    

    printf "
    set termoption enhanced
set encoding utf8
set grid nopolar
set grid noxtics   nomztics nomx2tics noy2tics nomy2tics nocbtics nomcbtics
set grid layerdefault   linetype 0 linewidth 1.000, linetype 0 linewidth 1.000


set boxwidth 0.9 absolute
set style fill pattern border
set key inside left top vertical Right noreverse enhanced autotitles nobox
set style histogram clustered gap 1 title  offset character 0, 0, 0
set style data histograms
set xtics border in scale 0,0 nomirror offset character 0, 0, 0
set ylabel \"Total execution time [ns] \"
set xlabel \"Flowsets\" 
set yrange [ 0 : 1400 ] noreverse nowriteback
plot '$in_file_name' using 4:xtic(1) t columnhead fs pattern 1 lw 2 lt 1 lc 1, '' u 2 t columnhead fs pattern 2 lw 2 lt 1 lc 2, '' u 3 t columnhead fs pattern 4 lw 2 lt 1 lc 3, '' u 5 t columnhead fs pattern 5 lw 2 lt 1 lc 4, '' u 6 t columnhead fs pattern 8 lw 2 lt 1 lc 5
	" >> tmp.txt

    echo $plot_curves >> tmp.txt
    
    gnuplot $options < tmp.txt

}

plot_exec_time test-time-b0new.out exec_time_burst0 exec
plot_exec_time test-time-b2new.out exec_time_burst2 exec

